Package wx :: Package lib :: Module plot :: Class PolyMarker

[frames | no frames]

## Class PolyMarker

    PolyPoints --+
                 |
                PolyMarker

Class to define marker type and style - All methods except __init__ are private.

Method Summary
| ``__init__`(self, points, **attr)` Creates PolyMarker object...
| `draw(self, dc, printerScale, coord)`
| ``getSymExtent`(self, printerScale)` Width and Height of Marker

Method Details

### __init__(self, points, **attr)
(Constructor)

    Creates PolyMarker object
    points - sequence (array, tuple or list) of (x,y) points
    **attr - key word attributes
        Defaults:
            'colour'= 'black',          - wx.Pen Colour any wx.NamedColour
            'width'= 1,                 - Pen width
            'size'= 2,                  - Marker size
            'fillcolour'= same as colour,      - wx.Brush Colour any wx.NamedColour
            'fillstyle'= wx.SOLID,      - wx.Brush fill style (use wx.TRANSPARENT for no fill)
            'marker'= 'circle'          - Marker shape
            'legend'= ''                - Marker Legend to display

        Marker Shapes:
            - 'circle'
            - 'dot'
            - 'square'
            - 'triangle'
            - 'triangle_down'
            - 'cross'
            - 'plus'

  Overrides:
    `wx.lib.plot.PolyPoints.__init__`

### getSymExtent(self, printerScale)

Width and Height of Marker

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:13 2007 | http://epydoc.sf.net